// Thanks to Jim Bumgardner's color tutorial:
// http://krazydad.com/tutorials/makecolors.php
function chooseColor () {
	var frequency = .3;
	var randomNumber = Math.floor(Math.random() * 32)
		red   = Math.sin(frequency * randomNumber + 0) * 127 + 128;
		green = Math.sin(frequency * randomNumber + 2) * 127 + 128;
		blue  = Math.sin(frequency * randomNumber + 4) * 127 + 128;
	return RGB2Color(red,green,blue);
}

function RGB2Color (r,g,b) {
	return '0x' + byte2Hex(r) + byte2Hex(g) + byte2Hex(b);
}

function byte2Hex (n) {
	var nybHexString = "0123456789ABCDEF";
	return String(nybHexString.substr((n >> 4) & 0x0F,1)) +
		nybHexString.substr(n & 0x0F,1);
}