function getWeatherData(queryURI) {
	google.load("visualization", "1.0", {callback:function() {
		new google.visualization.Query("queries/weather.rq?results&zipDateURI=" + queryURI).send(
        	function(result){
        		var data = result.getDataTable();
				var rows = data.getNumberOfRows();
				if (rows > 0) {
    				for (var i=0; i<rows; i++) {
						var maxTemp = data.getValue(i,0);
						var minTemp = data.getValue(i,1);
                                    
						wh.renderWeather({value: maxTemp + "&#176;F / " + minTemp + "&#176;F" })
    				}
				} else {
            			wh.renderWeather({value: 'N/A'})
           		}
			}
		);
	}}); 
}
