function getUVIndexData(queryURI) {
    google.load("visualization", "1.0", {callback:function() {
   		new google.visualization.Query("queries/uvindex.rq?results&zipDateURI=" + queryURI).send(
			function(result){
				var data = result.getDataTable();
				var rows = data.getNumberOfRows();
				var severity;
				for (var i=0; i<rows; i++) {
					var index = data.getValue(i,0);
					var alert = data.getValue(i,1);
                                
					if (index >= 1 && index <= 2) {
    					severity = 1;
					} else if (index >= 3 && index <= 5) {
    					severity = 2;
					} else if (index >= 6 && index <= 7) {
    					severity = 3;
					} else if (index >= 8 && index <= 10) {
    					severity = 4;
					} else if (index >= 11) {
						severity = 5;
					} else {
    					severity = 0;
					}

				    if (index != "" && index != null && alert != "" && alert != null) {
					    wh.renderUvIndex({value: index + ' <small>out of 11</small>', info: 'Alert: ' + alert, severity: severity })
				    } else {
					    wh.renderUvIndex({value: 'N/A', info: 'Unavailable', severity: 0 })
  				    }
			    }
		    }
	    );
	}});
}
