import xlrd 
import sys

if(len(sys.argv) < 2): 
     inputFile = input( 'Enter filename of spreadsheet as \n'  +
                        '"source:\\\\subdirectory\\\\inputFile.xls " \n==>' )
else:
     inputFile = sys.argv[1]  
#inputFile = "c:\\users\\zaidman\\desktop\\sample1.xls"
book = xlrd.open_workbook(inputFile) 
sheet = book.sheet_by_index(0) # Get the first sheet
rowCount = sheet.nrows
colCount = sheet.ncols
prefix=""
                        
print "Gathering mapping information to transform spreadsheet data to "
print "Linked Data vocabulary\n\n"
prompt =  'Enter "<url>" of where the rdf form of this spreadsheet will' 
prompt = prompt + ' be published \n'                      
baseurl = input(prompt)
print 'Now gathering prefix information \n'                       
print 'Enter "prefix,<URL of vocabulary>"\n'
line = input('Enter ""[return] when all prefix information has been entered \n')
count = 0;
while (line <> ""):
    count +=1
    prefix= prefix + line +'|'
    print 'Enter next "prefix,<URL of vocabulary>"\n'
    line = input('or enter ""[return] when all prefixes have been entere\n')
print '\nPreparing to gather predicate information for column headings\n'
propertyNames = sheet.row_values(0,start_colx=0, end_colx=None)  
for i in range(colCount):
      propertyNames[i]=input('prefix:term for ' + propertyNames[i] + ' ==> ')

print '\n\n'
print '@prefix base: ' + baseurl 
stmts=prefix.split("|");
for i in range(count):
     items=stmts[i].split(",")
     print '@prefix ' + items[0]+': ' + items[1]
# Process spreadsheet                       
rowNum=1
while (rowNum <rowCount):
    rowValues = sheet.row_values(rowNum,start_colx=0, end_colx=None)
    print "<base:%s>" % str(rowNum)
    for i in range(colCount-1):
      print '%s "%s";'%(propertyNames[i],rowValues[i])
    print '%s "%s".'%(propertyNames[colCount-1],rowValues[colCount-1])
    rowNum +=1
